Firefox and Win98SE - Mozilla

This is a discussion on Firefox and Win98SE - Mozilla ; Will Firefox work with Win98SE? If so, what version should I get and where can I get it please? Henry...

+ Reply to Thread
Results 1 to 11 of 11

Thread: Firefox and Win98SE

  1. Firefox and Win98SE

    Will Firefox work with Win98SE? If so, what version should I get and
    where can I get it please?

    Henry

  2. Re: Firefox and Win98SE

    On Sat, 08 Mar 2008 23:49:35 -0600, in message ,
    Henry wrote:

    > Will Firefox work with Win98SE?


    Yes. I run Firefox 2 on Win98.

    See the Firefox 2 system requirements
    http://en.www.mozilla.com/en/firefox...uirements.html


    > If so, what version should I get and
    > where can I get it please?


    Firefox 2.0.0.12 -- http://www.mozilla.com/


    --
    Cheers,
    Ralph


  3. Re: Firefox and Win98SE

    Ralph Fox wrote:
    > On Sat, 08 Mar 2008 23:49:35 -0600, in message ,
    > Henry wrote:
    >
    >> Will Firefox work with Win98SE?

    >
    > Yes. I run Firefox 2 on Win98.
    >
    > See the Firefox 2 system requirements
    > http://en.www.mozilla.com/en/firefox...uirements.html
    >
    >
    >> If so, what version should I get and
    >> where can I get it please?

    >
    > Firefox 2.0.0.12 -- http://www.mozilla.com/
    >
    >


    Note though, that when Firefox 3.0 is released, it will not run on 98SE,
    or Mac OSX Panther. The 2.0.0.x versions will continue to work.

    Lee

  4. Re: Firefox and Win98SE

    Leonidas Jones wrote:
    > Ralph Fox wrote:
    >> On Sat, 08 Mar 2008 23:49:35 -0600, in message
    >> ,
    >> Henry wrote:
    >>
    >>> Will Firefox work with Win98SE?

    >>
    >> Yes. I run Firefox 2 on Win98.
    >>
    >> See the Firefox 2 system requirements
    >> http://en.www.mozilla.com/en/firefox...uirements.html
    >>
    >>
    >>> If so, what version should I get and where can I get it please?

    >>
    >> Firefox 2.0.0.12 -- http://www.mozilla.com/
    >>
    >>

    >
    > Note though, that when Firefox 3.0 is released, it will not run on 98SE,
    > or Mac OSX Panther. The 2.0.0.x versions will continue to work.
    >
    > Lee


    ....but, of course, after some "reasonably long" time has elapsed after
    the 3.0 release, previous versions will stop being supported: even known
    security loopholes in them will, at some point in time, stop being
    fixed. Hopefully, by that time you (Henry) will have migrated away from
    W98 toward some more modern OS -- such as whatever OS will by then be
    supported by Microsoft, or maybe Linux or Mac OSX...


    Best regards,
    Tony.
    --
    "If value corrupts then absolute value corrupts absolutely"

  5. Re: Firefox and Win98SE

    On Mon, 10 Mar 2008 00:23:50 -0400, in message ,
    Leonidas Jones wrote:

    > Note though, that when Firefox 3.0 is released, it will not run on 98SE,
    > or Mac OSX Panther.


    And I will have to upgrade my computer and OS sometime.

  6. Re: Firefox and Win98SE

    Tony Mechelynck wrote:
    > Leonidas Jones wrote:
    >> Ralph Fox wrote:
    >>> On Sat, 08 Mar 2008 23:49:35 -0600, in message
    >>> ,
    >>> Henry wrote:
    >>>
    >>>> Will Firefox work with Win98SE?
    >>>
    >>> Yes. I run Firefox 2 on Win98.
    >>>
    >>> See the Firefox 2 system requirements
    >>> http://en.www.mozilla.com/en/firefox...uirements.html
    >>>
    >>>
    >>>> If so, what version should I get and where can I get it please?
    >>>
    >>> Firefox 2.0.0.12 -- http://www.mozilla.com/
    >>>
    >>>

    >>
    >> Note though, that when Firefox 3.0 is released, it will not run on 98SE,
    >> or Mac OSX Panther. The 2.0.0.x versions will continue to work.
    >>
    >> Lee

    >
    > ...but, of course, after some "reasonably long" time has elapsed after
    > the 3.0 release, previous versions will stop being supported: even known
    > security loopholes in them will, at some point in time, stop being
    > fixed. Hopefully, by that time you (Henry) will have migrated away from
    > W98 toward some more modern OS -- such as whatever OS will by then be
    > supported by Microsoft, or maybe Linux or Mac OSX...
    >
    >
    > Best regards,
    > Tony.


    The older version usually gets 6 months of security updates after a new
    release.

    As far as upgrading, well, it can depend. My mother in law, for
    example, has a machine running 98SE, with SeaMonkey. For her limited
    needs, and at the age of 80, there seems no point to get a new machine.

    its behind a router, has a software firewall, updated AV and
    anti-spyware apps. I think she'll be secure enough.

    Lee

  7. Re: Firefox and Win98SE

    Leonidas Jones wrote:
    >>> Note though, that when Firefox 3.0 is released, it will not run on 98SE,
    >>> or Mac OSX Panther. The 2.0.0.x versions will continue to work.
    >>>

    >> ...but, of course, after some "reasonably long" time has elapsed after
    >> the 3.0 release, previous versions will stop being supported: even
    >> known security loopholes in them will, at some point in time, stop
    >> being fixed. Hopefully, by that time you (Henry) will have migrated
    >> away from W98 toward some more modern OS -- such as whatever OS will
    >> by then be supported by Microsoft, or maybe Linux or Mac OSX...
    >>

    > The older version usually gets 6 months of security updates after a new
    > release.
    >
    > As far as upgrading, well, it can depend. My mother in law, for
    > example, has a machine running 98SE, with SeaMonkey. For her limited
    > needs, and at the age of 80, there seems no point to get a new machine.
    >
    > its behind a router, has a software firewall, updated AV and
    > anti-spyware apps. I think she'll be secure enough.


    Or she can switch to Opera. For some reason Opera Software has not
    forgotten how to make a browser that will work with Win 95 & 98.



  8. Re: Firefox and Win98SE

    C A Upsdell > wrote:
    > Leonidas Jones wrote:

    /snip/
    >
    > Or she can switch to Opera. For some reason Opera Software has not
    > forgotten how to make a browser that will work with Win 95 & 98.
    >
    >


    She would never be able to figure out Opera's mail interface.

    Lee

  9. Re: Firefox and Win98SE

    On Mar 10, 3:01 pm, Leonidas Jones wrote:
    > C A Upsdell > wrote:
    >
    > > Leonidas Jones wrote:

    > /snip/
    >
    > > Or she can switch to Opera. For some reason Opera Software has not
    > > forgotten how to make a browser that will work with Win 95 & 98.

    >
    > She would never be able to figure out Opera's mail interface.
    >
    > Lee

    I continue to use Win98SE, have no plans to change, accomplishes what
    I want in computing. I use Avast, Sygate, Spyware Blaster, Super
    AntiSpyware , HiJack This, CCleaner, my machine is very clean, so I
    have no fear if Mozilla stops supporting FF 2.0.0.12 which works
    perfectly with Win98SE.


  10. Re: Firefox and Win98SE

    pixturesk wrote:
    > On Mar 10, 3:01 pm, Leonidas Jones wrote:
    >> C A Upsdell > wrote:
    >>
    >>> Leonidas Jones wrote:

    >> /snip/
    >>
    >>> Or she can switch to Opera. For some reason Opera Software has not
    >>> forgotten how to make a browser that will work with Win 95 & 98.

    >> She would never be able to figure out Opera's mail interface.
    >>
    >> Lee

    > I continue to use Win98SE, have no plans to change, accomplishes what
    > I want in computing. I use Avast, Sygate, Spyware Blaster, Super
    > AntiSpyware , HiJack This, CCleaner, my machine is very clean, so I
    > have no fear if Mozilla stops supporting FF 2.0.0.12 which works
    > perfectly with Win98SE.
    >


    You will get security updates for about 6 months after FF 3 is released.
    You should be pretty safe. Windows 98 has faded into the past enough
    so that it is no longer a big target for hackers.

    Lee

  11. Re: Firefox and Win98SE

    The date and time was 3/11/2008 4:39 PM, and on a whim, Leonidas Jones
    pounded out on the keyboard:

    > pixturesk wrote:
    >> On Mar 10, 3:01 pm, Leonidas Jones wrote:
    >>> C A Upsdell > wrote:
    >>>
    >>>> Leonidas Jones wrote:
    >>> /snip/
    >>>
    >>>> Or she can switch to Opera. For some reason Opera Software has not
    >>>> forgotten how to make a browser that will work with Win 95 & 98.
    >>> She would never be able to figure out Opera's mail interface.
    >>>
    >>> Lee

    >> I continue to use Win98SE, have no plans to change, accomplishes what
    >> I want in computing. I use Avast, Sygate, Spyware Blaster, Super
    >> AntiSpyware , HiJack This, CCleaner, my machine is very clean, so I
    >> have no fear if Mozilla stops supporting FF 2.0.0.12 which works
    >> perfectly with Win98SE.
    >>

    >
    > You will get security updates for about 6 months after FF 3 is released.
    > You should be pretty safe. Windows 98 has faded into the past enough
    > so that it is no longer a big target for hackers.
    >
    > Lee


    Sorry Lee, that is not the case. The Win9x OS was basically not
    securable, lacking memory protection and other essential security
    features. It was developed before today's security threats on the
    Internet. It doesn't have to be a "target", it's risky "as is".

    --
    Terry R.
    Anti-spam measures are included in my email address.
    Delete NOSPAM from the email address after clicking Reply.

+ Reply to Thread